View Issue Details

IDProjectCategoryView StatusLast Update
0018029LazarusIDEpublic2010-12-03 19:22
ReporterVincent SnijdersAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowsOS VersionXP Home SP2
Product Version0.9.29 (SVN)Product Build28428 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0018029: Building the IDE without packages does not compile the codetools package
DescriptionIf I choose to build lazarus without packages, the codetools package is not compiled.
Steps To Reproduce* In the configure build lazarus dialog, build all (except examples) and include packages.
* This succesfully compiles Lazarus.
* Delete LazarusDir\components\codetools\
* In the configure build lazarus dialog, build all (except examples) and exclude packages.
* Building fails:
"LCL" completed
"Package Registration" completed
"IDE Interface" completed
"SynEdit" completed
C:\lazarus\source\lazarus\ide\lazarus.pp(1,1) Fatal: Can't find unit DefineTemplates used by LazConf
TagsNo tags attached.
Fixed in Revision28612
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0018331 closedMattias Gaertner Cross-build Lazarus: Can't find unit DefineTemplates used by LazConf 

Activities

Vincent Snijders

2010-12-03 19:22

manager   ~0043958

Fixed. Thanks.

Issue History

Date Modified Username Field Change
2010-11-23 13:05 Vincent Snijders New Issue
2010-11-23 13:05 Vincent Snijders Status new => assigned
2010-11-23 13:05 Vincent Snijders Assigned To => Mattias Gaertner
2010-11-23 13:05 Vincent Snijders LazTarget => -
2010-11-23 13:05 Vincent Snijders LazTarget - => 0.9.30
2010-12-03 17:32 Mattias Gaertner Fixed in Revision => 28612
2010-12-03 17:32 Mattias Gaertner Status assigned => resolved
2010-12-03 17:32 Mattias Gaertner Resolution open => fixed
2010-12-03 19:22 Vincent Snijders Status resolved => closed
2010-12-03 19:22 Vincent Snijders Note Added: 0043958
2010-12-03 19:22 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2010-12-29 10:35 Vincent Snijders Relationship added related to 0018331